<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
    <object th:include="fragments/fragment :: navbar-css" th:remove="tag"></object>
    <!-- Link Swiper's CSS -->
    <link rel="stylesheet" th:href="@{/css/home-page.css}">
    <link rel="stylesheet" th:href="@{/css/form-membuat-webinar-style.css}">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.10.3/font/bootstrap-icons.min.css" />

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css">
    <title>Form Membuat Webinar</title>
</head>
<body>
<header th:replace="fragments/fragment :: navbar"></header>
<div class="card-create-webinar">
    <form th:action="@{/seminars/add}" th:object="${seminar}" method="POST" enctype="multipart/form-data">
        <div class="section-thumbnail">
            <div class="thumbnail-form">
                <label for="thumbnailUpload" class="upload-icon">
                    <svg width="36" height="36" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" clip-rule="evenodd" d="M18 33C26.2843 33 33 26.2843 33 18C33 9.71573 26.2843 3 18 3C9.71573 3 3 9.71573 3 18C3 26.2843 9.71573 33 18 33ZM19.125 13.5C19.125 12.8787 18.6213 12.375 18 12.375C17.3787 12.375 16.875 12.8787 16.875 13.5V16.875H13.5C12.8787 16.875 12.375 17.3787 12.375 18C12.375 18.6213 12.8787 19.125 13.5 19.125H16.875V22.5C16.875 23.1213 17.3787 23.625 18 23.625C18.6213 23.625 19.125 23.1213 19.125 22.5V19.125H22.5C23.1213 19.125 23.625 18.6213 23.625 18C23.625 17.3787 23.1213 16.875 22.5 16.875H19.125V13.5Z" fill="#F67280"/>
                    </svg>
                </label>
                <input type="file" name="image" id="thumbnailUpload" accept=".jpg, .jpeg, .png" style="display: none" onchange="showThumbnail(this)">
                <img id="thumbnailImage" src="/img/blank.jpg" style="width: 100%; height: 100%; border-radius: 20px 20px 0 0; object-fit: cover; border-bottom: none;">
                <svg id="defaultThumbnail" style="display: none; width: 100%; height: 100%" viewBox="0 0 973 320" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M0 20C0 8.95431 8.9543 0 20 0H953C964.046 0 973 8.95431 973 20V320H0V20Z" fill="#EEF1F4"/>
                    <path d="M494 150H480C478.895 150 478 150.895 478 152V166C478 167.105 478.895 168 480 168H494C495.105 168 496 167.105 496 166V152C496 150.895 495.105 150 494 150Z" stroke="#667080" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M483.5 157C484.328 157 485 156.328 485 155.5C485 154.672 484.328 154 483.5 154C482.672 154 482 154.672 482 155.5C482 156.328 482.672 157 483.5 157Z" stroke="#667080" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M496 162L491 157L480 168" stroke="#667080" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                </svg>
            </div>
        </div>
        <div class="section-title">
            <div class="input-container">
                <div class="input-field title">
                    <input type="text" class="input-title" id="judul" name="title" placeholder="Nama Webinar: Topik Webinar" th:value="*{title}" required>
                </div>
            </div>
        </div>
        <div class="section-divider">
            <div class="divider"></div>
        </div>
        <div class="section-input-field">
            <div class="input-container">
                <div class="input-field required">
                    <label for="penyelenggara">Held By</label>
                    <input type="text" class="input" id="penyelenggara" name="namaPerusahaan" placeholder="Nama Organisasi/Perusahaan" th:value="*{namaPerusahaan}" required>
                </div>
                <div class="input-field date required">
                    <label for="date">Date & Time</label>
                    <input type="datetime-local" class="input" name="dateTime" id="date" th:value="*{dateTime}" required>
                </div>
            </div>
            <div class="input-container">
                <div class="input-field durasi required">
                    <label for="durasi">Event Duration</label>
                    <input type="number" class="input" id="durasi" min="0" step="1" name="duration" th:value="*{duration}" required>
                </div>
                <div class="input-field harga required">
                    <label for="harga">Ticket Price</label>
                    <input type="number" class="input" id="harga" min="0" step="0.01" name="harga" th:value="*{harga}" required>
                </div>
            </div>
            <div class="input-container">
                <div class="input-field required">
                    <label for="tiket">Tickets</label>
                    <input type="number" class="input" id="tiket" name="jumlahTiket" placeholder="Jumlah Tiket" th:value="*{jumlahTiket}" required>
                </div>
                <div class="input-field required">
                    <label for="pilihanRekamWebinar">Record Webinar?</label>
                    <select name="autoRecord" id="pilihanRekamWebinar" class="dropdown" required>
                        <option value=1>Ya</option>
                        <option value=0>Tidak</option>
                    </select>
                </div>
            </div>
            <div class="input-container file-event">
                <div class="input-field not-required file-event upload">
                    <label for="file">Event File</label>
                    <div class="upload">
                        <input type="text" class="input-file-event" id="file" placeholder="File tambahan terkait seminar (harus dalam format pdf)" style="text-indent: 12px;" readonly>
                        <div class="ikon-file">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M7.21783 20.9384L7.1005 21.6792L7.1005 21.6792L7.21783 20.9384ZM3.06156 16.7822L3.80232 16.6648L3.80232 16.6648L3.06156 16.7822ZM20.9384 16.7822L21.6792 16.8995L21.6792 16.8995L20.9384 16.7822ZM16.7822 20.9384L16.8995 21.6792L16.8995 21.6792L16.7822 20.9384ZM20.6 10.5496C20.3513 10.2184 19.8811 10.1516 19.5499 10.4003C19.2187 10.6491 19.1519 11.1192 19.4007 11.4504L20.6 10.5496ZM4.59931 11.4504C4.84808 11.1192 4.78126 10.6491 4.45007 10.4003C4.11888 10.1516 3.64873 10.2184 3.39996 10.5496L4.59931 11.4504ZM11.25 17C11.25 17.4142 11.5858 17.75 12 17.75C12.4142 17.75 12.75 17.4142 12.75 17H11.25ZM7.41232 6.53403C7.15497 6.8586 7.20946 7.33034 7.53403 7.58768C7.8586 7.84503 8.33034 7.79054 8.58768 7.46597L7.41232 6.53403ZM9.39785 5.23703L8.81016 4.77106L8.81016 4.77106L9.39785 5.23703ZM14.6022 5.23703L15.1898 4.77106L14.6022 5.23703ZM15.4123 7.46597C15.6697 7.79054 16.1414 7.84503 16.466 7.58768C16.7905 7.33034 16.845 6.8586 16.5877 6.53403L15.4123 7.46597ZM11.7493 3.01989L11.6313 2.27923L11.6313 2.27923L11.7493 3.01989ZM12.2507 3.01989L12.3687 2.27923L12.3687 2.27923L12.2507 3.01989ZM20.25 14V15H21.75V14H20.25ZM15 20.25H9V21.75H15V20.25ZM3.75 15V14H2.25V15H3.75ZM9 20.25C8.04233 20.25 7.65082 20.2477 7.33515 20.1977L7.1005 21.6792C7.56216 21.7523 8.09965 21.75 9 21.75V20.25ZM2.25 15C2.25 15.9003 2.24767 16.4378 2.32079 16.8995L3.80232 16.6648C3.75233 16.3492 3.75 15.9577 3.75 15H2.25ZM7.33515 20.1977C5.51661 19.9096 4.09035 18.4834 3.80232 16.6648L2.32079 16.8995C2.71048 19.3599 4.64012 21.2895 7.1005 21.6792L7.33515 20.1977ZM20.25 15C20.25 15.9577 20.2477 16.3492 20.1977 16.6648L21.6792 16.8995C21.7523 16.4378 21.75 15.9003 21.75 15H20.25ZM15 21.75C15.9003 21.75 16.4378 21.7523 16.8995 21.6792L16.6648 20.1977C16.3492 20.2477 15.9577 20.25 15 20.25V21.75ZM20.1977 16.6648C19.9096 18.4834 18.4834 19.9096 16.6648 20.1977L16.8995 21.6792C19.3599 21.2895 21.2895 19.3599 21.6792 16.8995L20.1977 16.6648ZM21.75 14C21.75 12.7064 21.3219 11.5106 20.6 10.5496L19.4007 11.4504C19.9342 12.1607 20.25 13.0424 20.25 14H21.75ZM3.75 14C3.75 13.0424 4.06583 12.1607 4.59931 11.4504L3.39996 10.5496C2.67806 11.5106 2.25 12.7064 2.25 14H3.75ZM12.75 17V4H11.25V17H12.75ZM8.58768 7.46597L9.98553 5.703L8.81016 4.77106L7.41232 6.53403L8.58768 7.46597ZM14.0145 5.703L15.4123 7.46597L16.5877 6.53403L15.1898 4.77106L14.0145 5.703ZM9.98553 5.703C10.5543 4.98568 10.9418 4.49884 11.2682 4.17113C11.5913 3.84678 11.7612 3.77747 11.8673 3.76055L11.6313 2.27923C11.0582 2.37055 10.6096 2.70685 10.2055 3.11252C9.80475 3.51484 9.35616 4.08245 8.81016 4.77106L9.98553 5.703ZM15.1898 4.77106C14.6438 4.08245 14.1953 3.51484 13.7945 3.11252C13.3904 2.70685 12.9418 2.37055 12.3687 2.27923L12.1327 3.76055C12.2388 3.77747 12.4087 3.84678 12.7318 4.17113C13.0582 4.49884 13.4457 4.98568 14.0145 5.703L15.1898 4.77106ZM11.8673 3.76055C11.9117 3.75348 11.9559 3.75 12 3.75L12 2.25C11.8766 2.25 11.7534 2.25978 11.6313 2.27923L11.8673 3.76055ZM12 3.75C12.0441 3.75 12.0883 3.75348 12.1327 3.76055L12.3687 2.27923C12.2466 2.25978 12.1234 2.25 12 2.25L12 3.75ZM12.75 4V3H11.25V4H12.75Z" fill="#F67280"/>
                            </svg>
                        </div>
                        <input type="file" id="fileInput" name="fileEvent" accept="application/pdf" style="display:none;">
                    </div>
                </div>
            </div>
        </div>
        <div class="section-textarea">
            <div class="input-container desc">
                <div class="input-field required text-area">
                    <label for="deskripsi">Event Description</label>
                    <textarea id="deskripsi" class="input-textarea" name="deskripsi" placeholder="Deskripsi Event (Max 215 Karakter)" maxlength="215" th:value="*{deskripsi}" required></textarea>
                    <div class="char-counter">215</div>
                </div>
            </div>
        </div>
        <div class="section-button">
            <div class="create-button">
                <button type="submit" id="button-request" class="btn-primary mx-auto d-block">Create</button>
            </div>
            <div class="return-button">
                <a class="btn-secondary" th:href="@{/}">Back</a>
            </div>
        </div>
    </form>
</div>
<script>
    $(document).ready(function() {
        $('.ikon-file').click(function() {
            $('#fileInput').click();
        });

        $('#fileInput').change(function() {
            updateFileName(this);
        });
    });

    function updateFileName(input) {
        var fileName = input.value.split('\\').pop();
        document.getElementById('file').value = fileName;
    }
</script>
<script>
    window.onload = function() {
        if(document.querySelector('.section-thumbnail img').naturalWidth === 0){
            document.querySelector('.section-thumbnail img').style.display = "none";
            document.querySelector('.section-thumbnail img').src = 'img/alt image.jpeg';
            document.querySelector('.section-thumbnail img').style.display = "block";
        }
    }
</script>
<script>
    const textarea = document.querySelector('#deskripsi');
    const charCounter = document.querySelector('.char-counter');
    const maxLength = 215;

    textarea.addEventListener('input', function() {
        const text = this.value;
        const remainingChars = maxLength - text.length;

        if (remainingChars < 0) {
            this.value = text.substring(0, maxLength);
            charCounter.textContent = '0';
        } else {
            charCounter.textContent = remainingChars;
        }
    });
</script>
<script>
    function showThumbnail(input) {
        var thumbnailImage = document.getElementById('thumbnailImage');
        var defaultThumbnail = document.getElementById('defaultThumbnail');

        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                thumbnailImage.src = e.target.result;
                thumbnailImage.style.display = 'block';
                defaultThumbnail.style.display = 'none';
            };

            reader.readAsDataURL(input.files[0]);
        } else {
            thumbnailImage.style.display = 'none';
            defaultThumbnail.style.display = 'block';
        }
    }
</script>
</body>
</html>